<body>

<div class="container">
  <div class="row">
    <div class="col-xl-2 col-md-1"></div>
    <div class="col-xl-8 col-md-10 col-12 col-md-12">
      <div class="title">
        ایجاد بلاگ جدید
      </div>
      <div class="container box-background">
        <div class="row field-form">
          <input placeholder="عنوان" [(ngModel)]="newBlog.title" class="sub-field-form">
          <textarea placeholder="بیشتر" [(ngModel)]="newBlog.description" class="extra-text">
      </textarea>
          <button class="edit-form-genral-info">
            اپلود عکس
          </button>
          <button class="edit-button" (click)="createEntry()">
            ثبت
          </button>
        </div>
      </div>

      <div class="title">
        لیست بلاک ها
      </div>
      <div *ngFor="let blog of blogList">
        <div class="box-background">
          <div class="title">
            {{blog.title}}
          </div>
          <div>
            <img align="center" class="img-blog" src="{{blog.image.main}}">
          </div>
          <div class="sub-field-form">
            <p>
              {{blog.description}}
            </p>
          </div>
          <button (click)="deleteEntry(blog.id)" class="delete-button">
            حذف
          </button>
        </div>
      </div>

    </div>
    <div class="col-xl-2 col-md-1"></div>
  </div>
</div>


</body>

